Package com.google.protobuf

# Class UnknownFieldSet.Field

java.lang.Object
com.google.protobuf.UnknownFieldSet.Field

Enclosing class:
  UnknownFieldSet

public static final class UnknownFieldSet.Field extends Object
Represents a single field in an `UnknownFieldSet`.

A `Field` consists of five lists of values. The lists correspond to the five "wire types" used in the protocol buffer binary format. The wire type of each field can be determined from the encoded form alone, without knowing the field's declared type. So, we are able to parse unknown values at least this far and separate them. Normally, only one of the five lists will contain any values, since it is impossible to define a valid message type that declares two different types for the same field number. However, the code is designed to allow for the case where the same unknown field number is encountered using multiple different wire types.

`Field` is an immutable class. To construct one, you must use a `UnknownFieldSet.Field.Builder`.

See Also:
  - `UnknownFieldSet`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`UnknownFieldSet.Field.Builder`
Used to build a `UnknownFieldSet.Field` within an `UnknownFieldSet`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`static UnknownFieldSet.Field`
`getDefaultInstance()`
Get an empty `Field`.
`List<Integer>`
`getFixed32List()`
Get the list of fixed32 values for this field.
`List<Long>`
`getFixed64List()`
Get the list of fixed64 values for this field.
`List<UnknownFieldSet>`
`getGroupList()`
Get the list of embedded group values for this field.
`List<ByteString>`
`getLengthDelimitedList()`
Get the list of length-delimited values for this field.
`int`
`getSerializedSize(int fieldNumber)`
Get the number of bytes required to encode this field, including field number.
`int`
`getSerializedSizeAsMessageSetExtension(int fieldNumber)`
Get the number of bytes required to encode this field, including field number, using `MessageSet` wire format.
`List<Long>`
`getVarintList()`
Get the list of varint values for this field.
`int`
`hashCode()`
`static UnknownFieldSet.Field.Builder`
`newBuilder()`
Construct a new `UnknownFieldSet.Field.Builder`.
`static UnknownFieldSet.Field.Builder`
`newBuilder(UnknownFieldSet.Field copyFrom)`
Construct a new `UnknownFieldSet.Field.Builder` and initialize it to a copy of `copyFrom`.
`ByteString`
`toByteString(int fieldNumber)`
Serializes the message to a `ByteString` and returns it.
`void`
`writeAsMessageSetExtensionTo(int fieldNumber, CodedOutputStream output)`
Serializes the field, including field number, and writes it to `output`, using `MessageSet` wire format.
`void`
`writeTo(int fieldNumber, CodedOutputStream output)`
Serializes the field, including field number, and writes it to `output`.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### newBuilder

public static UnknownFieldSet.Field.Builder newBuilder()
Construct a new `UnknownFieldSet.Field.Builder`.

### newBuilder

public static UnknownFieldSet.Field.Builder newBuilder(UnknownFieldSet.Field copyFrom)
Construct a new `UnknownFieldSet.Field.Builder` and initialize it to a copy of `copyFrom`.

### getDefaultInstance

public static UnknownFieldSet.Field getDefaultInstance()
Get an empty `Field`.

### getVarintList

public List<Long> getVarintList()
Get the list of varint values for this field.

### getFixed32List

public List<Integer> getFixed32List()
Get the list of fixed32 values for this field.

### getFixed64List

public List<Long> getFixed64List()
Get the list of fixed64 values for this field.

### getLengthDelimitedList

public List<ByteString> getLengthDelimitedList()
Get the list of length-delimited values for this field.

### getGroupList

public List<UnknownFieldSet> getGroupList()
Get the list of embedded group values for this field. These are represented using `UnknownFieldSet`s rather than `Message`s since the group's type is presumably unknown.

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toByteString

public ByteString toByteString(int fieldNumber)
Serializes the message to a `ByteString` and returns it. This is just a trivial wrapper around `writeTo(int, CodedOutputStream)`.

### writeTo

public void writeTo(int fieldNumber, CodedOutputStream output) throws IOException
Serializes the field, including field number, and writes it to `output`.

Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize(int fieldNumber)
Get the number of bytes required to encode this field, including field number.

### writeAsMessageSetExtensionTo

public void writeAsMessageSetExtensionTo(int fieldNumber, CodedOutputStream output) throws IOException
Serializes the field, including field number, and writes it to `output`, using `MessageSet` wire format.

Throws:
  `IOException`

### getSerializedSizeAsMessageSetExtension

public int getSerializedSizeAsMessageSetExtension(int fieldNumber)
Get the number of bytes required to encode this field, including field number, using `MessageSet` wire format.